> For the complete documentation index, see [llms.txt](https://docs.essencefinance.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.essencefinance.io/development/smart-contracts/minter/pcvequityminter.md).

# PCVEquityMinter

A ChiTimedMinter that mints based on a percentage of PCV equity

## Functions

### constructor

```solidity
function constructor(
    address _core,
    address _target,
    uint256 _incentive,
    uint256 _frequency,
    contract ICollateralizationOracle _collateralizationOracle,
    uint256 _aprBasisPoints,
    uint256 _maxAPRBasisPoints,
    uint256 _chiMintingLimitPerSecond
) public
```

constructor for PCVEquityMinter @param \_core the Core address to reference @param \_target the target to receive minted CHI @param \_incentive the incentive amount for calling buy paid in CHI @param \_frequency the frequency buybacks happen @param \_collateralizationOracle the collateralization oracle used for PCV equity calculations @param \_aprBasisPoints the APR paid out from pcv equity per year expressed in basis points

#### Parameters

| Name                        | Type                              | Description |
| --------------------------- | --------------------------------- | ----------- |
| `_core`                     | address                           |             |
| `_target`                   | address                           |             |
| `_collateralizationOracle`  | contract ICollateralizationOracle |             |
| `_chiMintingLimitPerSecond` | uint256                           |             |

### mint

```solidity
function mint() public
```

triggers a minting of CHI based on the PCV equity

### mintAmount

```solidity
function mintAmount() public returns (uint256)
```

### setCollateralizationOracle

```solidity
function setCollateralizationOracle(
    contract ICollateralizationOracle newCollateralizationOracle
) external
```

set the collateralization oracle

#### Parameters

| Name                         | Type                              | Description |
| ---------------------------- | --------------------------------- | ----------- |
| `newCollateralizationOracle` | contract ICollateralizationOracle |             |

### \_setCollateralizationOracle

```solidity
function _setCollateralizationOracle(
    contract ICollateralizationOracle newCollateralizationOracle
) internal
```

#### Parameters

| Name                         | Type                              | Description |
| ---------------------------- | --------------------------------- | ----------- |
| `newCollateralizationOracle` | contract ICollateralizationOracle |             |

### \_afterMint

```solidity
function _afterMint() internal
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/minter/pcvequityminter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
